Skip to main content

Reversal Order

Quickly reverse your position by closing current position and opening opposite position.

HTTP Request

POST /api/v1/future/order/click-backhand

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
sidestringYesTarget position side: "LONG" or "SHORT"
clientOidstringNoClient order ID

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/future/order/click-backhand" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"symbol": "BTCUSDT",
"side": "LONG",
"clientOid": "my-reversal-001"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectReversal order response data
> orderIdstringCreated order ID
> clientOidstringClient order ID

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"orderId": "fu-123456789",
"clientOid": "my-reversal-001"
}
}

Error Codes

CodeMessage
40001symbol does not exist
40001Insufficient balance
40011Custom ID already exists
40012Already ordering
40019No position to reversal